import { LogflareUserOptionsI } from "logflare-transport-core";
export interface PayloadMeta {
    cleanedPayload: Record<string, any>;
    message?: string;
    level?: string;
    timestamp?: string;
    context: {
        host?: string;
        service?: string;
        pid?: string;
        stack?: string;
        type?: string;
    };
}
export declare type PreparePayloadCallback = (payload: Record<string, any>, meta: PayloadMeta) => Record<string, any>;
export interface Options extends LogflareUserOptionsI {
    size?: number;
    onPreparePayload?: PreparePayloadCallback;
}
declare function createWriteStream(options: Options): any;
export default createWriteStream;
