import createHttpWriteStream from "./httpStream";
import createConsoleWriteStream from "./consoleStream";
import { defaultPreparePayload, extractPayloadMeta } from "./utils";
import { Level, LogEvent } from "./utils";
import { LogflareUserOptionsI } from "logflare-transport-core";
declare const createPinoBrowserSend: (options: LogflareUserOptionsI) => (level: Level | number, logEvent: LogEvent) => void;
declare const logflarePinoVercel: (options: LogflareUserOptionsI) => {
    stream: {
        write: (chunk: any) => void;
    };
    send: (level: Level | number, logEvent: LogEvent) => void;
};
declare const createWriteStream: typeof createHttpWriteStream;
export { createWriteStream, logflarePinoVercel, createPinoBrowserSend, createConsoleWriteStream, createHttpWriteStream, defaultPreparePayload, extractPayloadMeta, };
